summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author rc-052023-10-23 15:00:38 +0200
committer Willy Sudiarto Raharjo2023-10-26 03:26:32 +0200
commitb52f4207e685facdbdbd03a4a91e8fed6cc91bf4 (patch)
tree38afcdd183f00d36ae51a56d5c2db2d24ea20733
parentb16fba54883d70647090e8416465ff8a9ee3b870 (diff)
downloadslackbuilds-b52f4207e685facdbdbd03a4a91e8fed6cc91bf4.tar.gz
development/neko: Added (programming language).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/neko/README7
-rw-r--r--development/neko/neko.SlackBuild103
-rw-r--r--development/neko/neko.info10
-rw-r--r--development/neko/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/development/neko/README b/development/neko/README
new file mode 100644
index 0000000000..91701b2170
--- /dev/null
+++ b/development/neko/README
@@ -0,0 +1,7 @@
+Neko is a high-level dynamically typed programming language. It can
+be used as an embedded scripting language.
+It has been designed to provide a common runtime for several different
+languages. Learning and using Neko is very easy.
+You can easily extend the language with C libraries.
+You can also write generators from your own language to Neko and then
+use the Neko Runtime to compile, run, and access existing libraries.
diff --git a/development/neko/neko.SlackBuild b/development/neko/neko.SlackBuild
new file mode 100644
index 0000000000..d4397e8c53
--- /dev/null
+++ b/development/neko/neko.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for neko
+
+# Copyright 2023 rc-05 <rc_o5@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=neko
+VERSION=${VERSION:-2.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+DIST_VER=${VERSION//./-}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$DIST_VER
+tar xvf $CWD/$PRGNAM-$DIST_VER.tar.gz
+cd $PRGNAM-$DIST_VER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/neko/neko.info b/development/neko/neko.info
new file mode 100644
index 0000000000..c8be0bcd0f
--- /dev/null
+++ b/development/neko/neko.info
@@ -0,0 +1,10 @@
+PRGNAM="neko"
+VERSION="2.3.0"
+HOMEPAGE="https://nekovm.org"
+DOWNLOAD="https://github.com/HaxeFoundation/neko/archive/v2-3-0/neko-2-3-0.tar.gz"
+MD5SUM="0156b9220b5173137855ca2c34f9370c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mbedtls"
+MAINTAINER="rc-05"
+EMAIL="rc_o5@protonmail.com"
diff --git a/development/neko/slack-desc b/development/neko/slack-desc
new file mode 100644
index 0000000000..beb7072d44
--- /dev/null
+++ b/development/neko/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+neko: neko (Neko Programming Language)
+neko:
+neko: Neko is a high-level dynamically typed programming language.
+neko: It can be used as an embedded scripting language. It has been
+neko: designed to provide a common runtime for several different languages.
+neko: Learning and using Neko is very easy. You can easily extend the
+neko: language with C libraries. You can also write generators from your
+neko: own language to Neko and then use the Neko Runtime to compile, run,
+neko: and access existing libraries.
+neko:
+neko: Homepage: https://nekovm.org